<div class="titleDialog" style="height: 12%;">
    <mat-icon style="margin: 0%; text-align: center; display: inline; color: white;">list_alt</mat-icon>
    <p>แก้ไขรายการ</p>
  </div>
  <div mat-dialog-content size="80px" style="margin: 10px;" class="fontSize">
    <div>ชื่อรายการ (ต้องระบุ)</div>
    <form class="example-form" [formGroup]="nameList">
      <mat-form-field class="example-full-width" appearance="outline">
        <input matInput  formControlName="name" [(ngModel)]="name">
        <mat-error
        *ngIf="nameList.get('name').hasError('required')&&status!=false"
        class="errorInput"
      >
        *กรุณาระบุชื่อรายการ
      </mat-error>
      <mat-error *ngIf="nameList.get('name').hasError('required')&&status==false" style="font-family: 'Kanit', sans-serif;font-size: 14px;">
        *ชื่อรายการซ้ำ กรุณาเปลี่ยนชื่อรายการ
      </mat-error>
      </mat-form-field>
    </form>
    <div>ประเภท</div>
    <mat-form-field appearance="outline">
      <mat-select [(value)]="type">
        <mat-option *ngFor="let state of states" [value]="state.value">
          {{ state.value }}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <div class="row">
      <div class="column" style="width:49%;margin-left: 1%;">
        <div>กำหนดชั่วโมง</div>
        <mat-form-field appearance="outline">
          <input matInput type="number" value="2" [(ngModel)]="hour"  >
        </mat-form-field>
      </div>
      <div class="column1" style="width:49%;" >
        <div>วันที่</div>
        <mat-form-field appearance="outline">
          <input matInput [matDatepicker]="dp" [(ngModel)]="date" />
          <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
          <mat-datepicker #dp startView="month" panelClass="example-month-picker">
          </mat-datepicker>
        </mat-form-field>
      </div>
    </div>
    <div class="row">
      <div class="column" style="width:49%;margin-left: 1%;">
        <div>เริ่มเวลาเช็คชื่อ</div>
        <mat-form-field appearance="outline">
          <input matInput type="time" [(ngModel)]="start" >
        </mat-form-field>
      </div>
      <div class="column1" style="width:49%;" style="margin-left: 2.5px;">
        <div>กำหนดเวลาเข้าสาย (นาที)</div>
        <mat-form-field appearance="outline" >
          <input matInput type="number"  class="inputDialog" [(ngModel)]="late">
        </mat-form-field>
      </div>
     
    </div>
      <div class="column" style="width:100%;display: flex;height: 10%;">
        <button  (click)="onNoClick()" class="buttonDialog"
        style="background-color: #999999; margin-right: 15px;" >ยกเลิก</button>
        <button  color="primary" (click)="onConfirm()" class="buttonDialog"
        style="margin-left: 15px; background-color: #009688;" >ยืนยัน</button>
      </div>
   
  </div>